Skip to main content
GET
/
api
/
consumers
/
checkout
/
{checkout_id}
/
create_link_token
curl --location --request POST 'http://127.0.0.1:8000/api/consumers/checkout/{checkout_id}/create_link_token/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--header 'link-token: <link-token>'

  "link_token": "link-sandbox-edb99fda-46e4-4cb5-b6e7-302b9f242252",
  "expiration": "2023-08-21T17:10:28Z",
  "request_id": "IqxHbaz4S6WJXvP"
    

Documentation Index

Fetch the complete documentation index at: https://magic-21.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

checkout_id
string
The checkout ID that the merchant received in response to the POST Checkout request.
Authorization
string
The authentication token that you will get in the success response on ‘verify_user’ api.
The Merchant User Token is received as the response to the API call generate_link_token.

Response

success
number
This Response field will return unique ‘link_token’ and status code 200 if the transaction succeeds.
curl --location --request POST 'http://127.0.0.1:8000/api/consumers/checkout/{checkout_id}/create_link_token/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--header 'link-token: <link-token>'

  "link_token": "link-sandbox-edb99fda-46e4-4cb5-b6e7-302b9f242252",
  "expiration": "2023-08-21T17:10:28Z",
  "request_id": "IqxHbaz4S6WJXvP"